Chapter 9. manifest
Manage the manifests of a repository.
9.1. getManifestLabel Copy linkLink copied to clipboard!
Retrieves the label with the specific ID under the manifest.
9.1.1. GET /api/v1/repository/{repository}/manifest/{manifestref}/labels/{labelid} Copy linkLink copied to clipboard!
Authorizations: oauth2_implicit (repo:read)
9.1.2. Path parameters Copy linkLink copied to clipboard!
| Type | Name | Description | Schema |
|---|---|---|---|
| path | repository required | The full path of the repository. e.g. namespace/name | string |
| path | manifestref required | The digest of the manifest | string |
| path | labelid required | The ID of the label | string |
9.1.3. Responses Copy linkLink copied to clipboard!
9.1.4. Example command Copy linkLink copied to clipboard!
$ curl -X GET \
-H "Authorization: Bearer <bearer_token>" \
-H "Accept: application/json" \
https://<quay-server.example.com>/api/v1/repository/<repository>/manifest/<manifestref>/labels/<label_id>
9.2. deleteManifestLabel Copy linkLink copied to clipboard!
Deletes an existing label from a manifest.
9.2.1. DELETE /api/v1/repository/{repository}/manifest/{manifestref}/labels/{labelid} Copy linkLink copied to clipboard!
Authorizations: oauth2_implicit (repo:write)
9.2.2. Path parameters Copy linkLink copied to clipboard!
| Type | Name | Description | Schema |
|---|---|---|---|
| path | repository required | The full path of the repository. e.g. namespace/name | string |
| path | manifestref required | The digest of the manifest | string |
| path | labelid required | The ID of the label | string |
9.2.3. Responses Copy linkLink copied to clipboard!
9.2.4. Example command Copy linkLink copied to clipboard!
$ curl -X DELETE \
-H "Authorization: Bearer <bearer_token>" \
https://<quay-server.example.com>/api/v1/repository/<repository>/manifest/<manifestref>/labels/<labelid>
9.3. addManifestLabel Copy linkLink copied to clipboard!
Adds a new label into the tag manifest.
9.3.1. POST /api/v1/repository/{repository}/manifest/{manifestref}/labels Copy linkLink copied to clipboard!
Authorizations: oauth2_implicit (repo:write)
9.3.2. Path parameters Copy linkLink copied to clipboard!
| Type | Name | Description | Schema |
|---|---|---|---|
| path | repository required | The full path of the repository. e.g. namespace/name | string |
| path | manifestref required | The digest of the manifest | string |
9.3.3. Request body schema (application/json) Copy linkLink copied to clipboard!
Adds a label to a manifest
| Name | Description | Schema |
|---|---|---|
| key required | The key for the label | string |
| value required | The value for the label | string |
| media_type required | The media type for this label |
9.3.4. Responses Copy linkLink copied to clipboard!
9.3.5. Example command Copy linkLink copied to clipboard!
$ curl -X POST \
-H "Authorization: Bearer <bearer_token>" \
-H "Content-Type: application/json" \
--data '{
"key": "<key>",
"value": "<value>",
"media_type": "<media_type>"
}' \
https://<quay-server.example.com>/api/v1/repository/<repository>/manifest/<manifestref>/labels
9.4. listManifestLabels Copy linkLink copied to clipboard!
List Manifest Labels.
9.4.1. GET /api/v1/repository/{repository}/manifest/{manifestref}/labels Copy linkLink copied to clipboard!
Authorizations: oauth2_implicit (repo:read)
9.4.2. Path parameters Copy linkLink copied to clipboard!
| Type | Name | Description | Schema |
|---|---|---|---|
| path | repository required | The full path of the repository. e.g. namespace/name | string |
| path | manifestref required | The digest of the manifest | string |
9.4.3. Query parameters Copy linkLink copied to clipboard!
| Type | Name | Description | Schema |
|---|---|---|---|
| query | filter optional | If specified, only labels matching the given prefix will be returned | string |
9.4.4. Responses Copy linkLink copied to clipboard!
9.4.5. Example command Copy linkLink copied to clipboard!
$ curl -X GET \
-H "Authorization: Bearer <bearer_token>" \
-H "Accept: application/json" \
https://<quay-server.example.com>/api/v1/repository/<repository>/manifest/<manifestref>/labels
9.5. getRepoManifest Copy linkLink copied to clipboard!
Get Repo Manifest.
9.5.1. GET /api/v1/repository/{repository}/manifest/{manifestref} Copy linkLink copied to clipboard!
Authorizations: oauth2_implicit (repo:read)
9.5.2. Path parameters Copy linkLink copied to clipboard!
| Type | Name | Description | Schema |
|---|---|---|---|
| path | repository required | The full path of the repository. e.g. namespace/name | string |
| path | manifestref required | The digest of the manifest | string |
9.5.3. Responses Copy linkLink copied to clipboard!
9.5.4. Example command Copy linkLink copied to clipboard!
$ curl -X GET \
-H "Authorization: Bearer <bearer_token>" \
-H "Accept: application/json" \
https://<quay-server.example.com>/api/v1/repository/<repository>/manifest/<manifestref>